## visad.util
Class ClientServer

    java.lang.Object
      visad.util.ClientServer

public class ClientServer
extends Object

Constructor Summary
`ClientServer()`

Method Summary
`static RemoteServer` `connectToServer(String hostName, String serviceName)`
`static RemoteServer` `connectToServer(String hostName, String serviceName, boolean verbose)`
`static LocalDisplay` `getClientDisplay(RemoteServer client, int index)`
`static LocalDisplay` `getClientDisplay(RemoteServer client, int index, DataReference[] refs)`
`static LocalDisplay[]` `getClientDisplays(RemoteServer client)`
`static LocalDisplay[]` `getClientDisplays(RemoteServer client, DataReference[] refs)`
`static RemoteServerImpl` `startServer(String serviceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientServer

    public ClientServer()

Method Detail

### connectToServer

    public static RemoteServer connectToServer(String hostName,
                                               String serviceName)
                                        throws RemoteException,
                                               VisADException

  Throws:
    `RemoteException`
    `VisADException`

### connectToServer

    public static RemoteServer connectToServer(String hostName,
                                               String serviceName,
                                               boolean verbose)
                                        throws RemoteException,
                                               VisADException

  Throws:
    `RemoteException`
    `VisADException`

### getClientDisplay

    public static LocalDisplay getClientDisplay(RemoteServer client,
                                                int index)
                                         throws RemoteException,
                                                VisADException

  Throws:
    `RemoteException`
    `VisADException`

### getClientDisplay

    public static LocalDisplay getClientDisplay(RemoteServer client,
                                                int index,
                                                DataReference[] refs)
                                         throws RemoteException,
                                                VisADException

  Throws:
    `RemoteException`
    `VisADException`

### getClientDisplays

    public static LocalDisplay[] getClientDisplays(RemoteServer client)
                                            throws RemoteException,
                                                   VisADException

  Throws:
    `RemoteException`
    `VisADException`

### getClientDisplays

    public static LocalDisplay[] getClientDisplays(RemoteServer client,
                                                   DataReference[] refs)
                                            throws RemoteException,
                                                   VisADException

  Throws:
    `RemoteException`
    `VisADException`

### startServer

    public static RemoteServerImpl startServer(String serviceName)
                                        throws RemoteException,
                                               VisADException

  Throws:
    `RemoteException`
    `VisADException`